API Documentation Download OpenAPI specification

Check Mail Order Reactivation Eligibility

GEThttps://bll.titan.email/partner/checkMailOrderReactivationEligibility

API to check if deleted Mail Order can be reactivated.

Query parameters

titanOrderIdnumberrequired

The unique Titan order ID against which the domain is provisioned

Example: 1

Responses

200OKapplication/json
reactivationAllowedboolean
Example: true
reasonstring · enum

This is an enum with values. This field will be present if reactivationAllowed is false

  • DOMAIN_NOT_IN_DELETED_STATE: The domain is not in a deleted state
  • NON_TITAN_CLOUD_DOMAIN: The domain is not on a Titan-managed plan, so reactivation through this API is not supported
  • USER_NOT_ACTIVE_IN_SYSTEM: The user associated with this domain is not active in the system
  • DOMAIN_PURGED: The domain's purge date has passed and it can no longer be recovered
  • ACTIVE_DOMAIN_EXISTS: Another active domain already exists with the same name
Example: DOMAIN_NOT_IN_DELETED_STATE
Possible values: DOMAIN_NOT_IN_DELETED_STATE NON_TITAN_CLOUD_DOMAIN USER_NOT_ACTIVE_IN_SYSTEM DOMAIN_PURGED ACTIVE_DOMAIN_EXISTS
See General Errors for other errors that this API can return.
GET/partner/checkMailOrderReactivationEligibility
curl 'https://bll.titan.email/partner/checkMailOrderReactivationEligibility?titanOrderId=1' \
  --header 'Authorization: API.Key'
Response
{
  "reactivationAllowed": true,
  "reason": "DOMAIN_NOT_IN_DELETED_STATE"
}